English ▼
Skip to page content Skip to main navigation
e.g. "templates" or "datastore"

# The CapabilitySet Class

A CapabilitySet instance represents a request for one or more supported API capabilities.

CapabilitySet is provided by the `google.appengine.api.capabilities` package.

## Constructor

class CapabilitySet(capabilities, methods)

  This class defines all of the available methods for this API. You can either name capabilities explicitly or infer them from the methods provided by the class. These methods allow you to test if a particular capability is enabled, and also provide notices to administrators for a given capability (if available).

  Arguments:

  capabilities=None

    A string or list of strings indicating the supported capabilities you wish to test.

  methods=None

    String providing the instance methods to use for testing.

## Instance Methods

A CapabilitySet instance has the following methods:

is_enabled()
  Tests if a capability is enabled.